%global pypi_name keystone_tempest_plugin
%global pkg_name keystone-tempest-plugin

Summary:        Tempest plugin keystone_tempest_plugin
Name:           python-%{pkg_name}
Version:        0.10.0
Release:        1%{?dist}
License:        Apache-2.0
URL:            https://github.com/openstack/keystone-tempest-plugin
Source0:        %pypi_source

BuildArch:      noarch

%description
Tempest plugin for functional testing of keystone's LDAP and federation features.
More information can be found in the keystone developer documentation.

%package -n python3-%{pkg_name}
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools python3-pbr python3-pip python3-wheel
BuildRequires:  python3-lxml python3-oslo-config python3-requests python3-tempest python3-testtools
Requires:       python3-lxml python3-oslo-config python3-pbr python3-requests python3-tempest python3-testtools

%description -n python3-%{pkg_name}
Tempest plugin for functional testing of keystone's LDAP and federation features.
More information can be found in the keystone developer documentation.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pkg_name}
%{python3_sitelib}/*

%changelog
* Wed Sep 27 2023 jackeyji <jackeyji@tencent.com> - 0.10.0-1
- upgrade to 0.10.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 17 2023 kianli <kianli@tencent.com> - 0.7.0-1
- initial build
